/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CanvasGestureDOMEventProxy } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export let CustomDOMEventProxy = /*@__PURE__*/ (() => {
    class CustomDOMEventProxy extends CanvasGestureDOMEventProxy {
        constructor(a, b, c) {
            super(a, b, c);
            this._d8 = null;
        }
        cu(a) {
            super.cu(a);
            if (!this.ae && a.stopPropagation != null) {
                a.stopPropagation();
            }
        }
        cv(a) {
            if (this._d8 != null && this._d8(a)) {
                return;
            }
            super.cv(a);
        }
    }
    CustomDOMEventProxy.$t = /*@__PURE__*/ markType(CustomDOMEventProxy, 'CustomDOMEventProxy', CanvasGestureDOMEventProxy.$);
    return CustomDOMEventProxy;
})();
